import { ConnectorConfig } from "@rsocket/core";
import { Auth, RsocketServer } from "./rsocket.type";
import { Buffer } from "buffer";
export declare class RsocketConfig {
    private readonly config;
    private readonly route;
    readonly rsocketServers: RsocketServer[];
    constructor(rsocketServers: RsocketServer[], route?: string, config?: Omit<ConnectorConfig, 'transport' | 'resume'>);
    payload({ data, auth }: {
        data?: unknown;
        auth?: Auth;
    }): this;
    setAuth(auth: Auth): void;
    private buildAuthMetadata;
    getConfig(): {
        setup?: {
            payload?: import("@rsocket/core").Payload;
            dataMimeType?: string;
            metadataMimeType?: string;
            keepAlive?: number;
            lifetime?: number;
        };
        fragmentation?: {
            maxOutboundFragmentSize?: number;
        };
        transport: import("@rsocket/core").ClientTransport;
        responder?: Partial<import("@rsocket/core").RSocket>;
        lease?: {
            maxPendingRequests?: number;
        };
        resume?: {
            cacheSize?: number;
            tokenGenerator: () => Buffer;
            reconnectFunction: (attempt: number) => Promise<void>;
        };
    };
}
